package org.example.shop.service;

import org.example.shop.dao.UserDao;
import org.example.shop.pojo.UserInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UserServiceImpl implements UserService {

    private UserDao userDao;

    @Autowired
    public void setUserDao(UserDao userDao) {
        this.userDao = userDao;
    }

    @Override
    public UserInfo findByName(String name) {
        return userDao.findByUsername(name);
    }

    @Override
    public UserInfo save(UserInfo userInfo) {
        if (findByName(userInfo.getUsername()) != null) {
            throw new RuntimeException("用户名已经存在了");
        }
        return userDao.save(userInfo);
    }
}
