import PageA from './pages/a.vue' // vue组件的引入 需要写完整路径 需要包含.vue扩展
import PageB from './pages/b.vue'

// 路由配置文件

const routes = [
    {
        path: '/',  // 这是页面对应的访问路径 /表示首页
        component: PageA  // 对应对应的vue组件
    },
    {
        path: '/about',
        component: PageB
    },
]
// 创建路由信息管理器
// 3.x
// import VueRouter from 'vue-router'
// 老版本写法
// const router = new VueRouter({
//     routes
// });

import {createWebHashHistory, createRouter} from 'vue-router'
// 4.x
// 直接创建一个路由器
const router = createRouter({
    history: createWebHashHistory(), // 使用hash的模式
    routes,
})

// 暴露路由器
export default router